<?php
/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */

namespace Propoza\Propoza\Controller\Adminhtml\Quotes;

use Magento\Backend\App\Action\Context;

/**
 * Class Index
 *
 * @package Propoza\Propoza\Controller\Adminhtml\Quotes
 */
class Index extends \Magento\Backend\App\Action
{
    /**
     * ACL resource
     */
    const ADMIN_RESOURCE = 'Propoza_Propoza::quotes';

    /**
     * @var \Magento\Framework\View\Result\PageFactory
     */
    private $resultPageFactory;

    /**
     * @param Context $context
     * @param \Magento\Framework\View\Result\PageFactory $resultPageFactory
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory
    ) {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
    }

    /**
     * Index action
     *
     * @return \Magento\Backend\Model\View\Result\Page
     */
    public function execute()
    {
        /**
         * @var \Magento\Backend\Model\View\Result\Page $resultPage
         */
        $resultPage = $this->resultPageFactory->create();
        $resultPage->setActiveMenu('Propoza_Propoza::quotes')
            ->addBreadcrumb(__('Sales'), __('Sales'))
            ->addBreadcrumb(__('Quotes'), __('Quotes'));

        $resultPage->getConfig()->getTitle()->prepend(__('Quotes'));

        return $resultPage;
    }

    /**
     * @return bool
     */
    // @codingStandardsIgnoreLine
    protected function _isAllowed()
    {
        return parent::_isAllowed() && $this->_authorization->isAllowed(self::ADMIN_RESOURCE);
    }
}
