<?php
/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */

namespace Propoza\Propoza\Model;

/**
 * Provider of connection status.
 */
class ConnectionStatusProvider
{
    /**
     *
     */
    const CONNECTED = 'Connected';
    /**
     *
     */
    const NOT_CONNECTED = 'Not connected';

    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    private $scopeConfig;


    /**
     * ConnectionStatusProvider constructor.
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * @return string
     */
    public function getStatus()
    {
        $status = $this->scopeConfig->getValue('propoza/general/connected');

        if ($status) {
            return $status;
        }
        return static::NOT_CONNECTED;
    }
}
