<?php
/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */

namespace Propoza\Propoza\Plugin\Checkout\CustomerData;

/**
 * Class Cart
 *
 * @package Propoza\Propoza\Plugin\Checkout\CustomerData
 */
class Cart
{
    /**
     * @var \Magento\Framework\View\Element\Context
     */
    private $context;

    /**
     * @param \Magento\Framework\View\Element\Context $context
     */
    public function __construct(\Magento\Framework\View\Element\Context $context)
    {
        $this->context = $context;
    }

    /**
     * Add quote request button to result
     * @param \Magento\Checkout\CustomerData\Cart $subject
     * @param array $result
     * @return array
     */
    public function afterGetSectionData(\Magento\Checkout\CustomerData\Cart $subject, $result)
    {
        $buttonBlock = $this->context->getLayout()->addBlock(
            'Propoza\Propoza\Block\Quote\Request\Button',
            'request.quote.button',
            '',
            'mini-cart.cart.request.quote.button'
        )->setTemplate('quote/request/button.phtml');
        $html = $buttonBlock->toHtml();
        $result['extra_actions'] = isset($result['extra_actions']) ? $result['extra_actions'] . $html : $html;
        return $result;
    }
}
