/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */
/*jshint jquery:true*/
define(
    [
        "jquery",
        "jquery/ui"
    ], function ($) {
        "use strict";
        $.widget(
            "propoza.dependantElement", {
                options: {
                    elements: []
                },
                _create: function () {
                    this._checkEmptyElements();
                    this._bind();
                },
                _bind: function () {
                    $(this.options.elements.toString()).on('change keyup paste input', $.proxy(this._checkEmptyElements, this));
                },
                _checkEmptyElements: function () {
                    var isEmpty = false;
                    $.each(
                        this.options.elements, function (index, value) {
                            var emptyElements = $(value).filter(
                                function () {
                                    return $(value).val().length === 0 || $(value).val() == 0;
                                }
                            );
                            isEmpty = emptyElements.length !== 0;
                            if (isEmpty) {
                                return false;
                            }
                        }
                    );
                    isEmpty ? $(this.element).hide() : $(this.element).show();
                }
            }
        );

        return $.propoza.dependantElement;
    }
);

