/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */
/*jshint jquery:true*/
define(
    [
        "jquery",
        "jquery/ui"
    ], function ($) {
        "use strict";

        $.widget(
            "propoza.subdomain", {
                options: {
                    dashboardLink: "#propoza_dashoard_link",
                    subdomainPlaceholder: '%s'
                },
                _create: function () {
                    this._bind();
                },
                _bind: function () {
                    $(this.element).on('change keyup paste input', $.proxy(this._parseSubdomain, this));
                    $(this.options.dashboardLink).on('click', $.proxy(this._onClickDashboardLink, this));
                },
                _onClickDashboardLink: function () {
                    window.open(this._replaceSubdomainPlaceholder($(this.options.dashboardLink).attr('href')));
                },
                _replaceSubdomainPlaceholder: function (string) {
                    return string.replace(this.options.subdomainPlaceholder, $(this.element).val())
                },
                _parseSubdomain: function () {
                    /**
                     * get sub-domain from input value if entered a full url e.g.
                     * demo.propoza.com
                     * demo.local.propoza.com
                     * http://demo.propoza.com
                     * http://demo.local.propoza.com
                     * https://demo.propoza.com
                     * https://demo.local.propoza.com
                     *
                     * @type {RegExp}
                     */
                    var regex = /(http[s]?:\/\/)?(.*)\.propoza\.com/g;
                    var result = regex.exec($(this.element).val());
                    if (result !== null) {
                        $(this.element).val(result[2]);
                    }
                }
            }
        );

        return $.propoza.subdomain;
    }
);

