/**
 * Copyright © 2018 Propoza. All rights reserved.
 * See COPYING.txt for license details.
 */
/*jshint jquery:true*/
define(
    [
        "jquery",
        'Magento_Ui/js/modal/alert',
        'mage/translate',
        "jquery/ui"
    ], function ($, alert) {
        "use strict";
        $.widget(
            "propoza.testConnection", {
                options: {
                    url: '',
                    apiKey: '',
                    subDomain: '',
                    onSuccess: function () {
                        alert(
                            {
                                title: $.mage.__('Propoza'),
                                content: $.mage.__('Test connection success')
                            }
                        );
                    },
                    onFail: function () {
                        alert(
                            {
                                title: $.mage.__('Propoza'),
                                content: $.mage.__('Test connection failed')
                            }
                        );
                    },
                    onComplete: function () {
                        $('body').trigger('processStop');
                    }
                },
                _create: function () {
                    var options = this.options;
                    this.element.on(
                        'click', function () {
                            $('body').trigger('processStart');
                            var request = $.post(
                                options.url, {
                                    'api_key': $(options.apiKey).val(),
                                    'sub_domain': $(options.subDomain).val()
                                }
                            );
                            request.done(options.onSuccess);
                            request.fail(options.onFail);
                            request.always(options.onComplete);
                        }
                    );
                }
            }
        );

        return $.propoza.testConnection;
    }
);

